# CvMSERParams Struct Reference

`#include <features2d.hpp>`

Inheritance diagram for CvMSERParams:

List of all members.

## Public Attributes

double | areaThreshold
| the area threshold to cause re-initialize
int | delta
| delta, in the code, it compares (size_{i}-size_{i-delta})/size_{i-delta}
int | edgeBlurSize
| the aperture size for edge blur
int | maxArea
| prune the area which bigger than maxArea
int | maxEvolution
| for color image, the evolution steps
float | maxVariation
| prune the area have simliar size to its children
int | minArea
| prune the area which smaller than minArea
float | minDiversity
| trace back to cut off mser with diversity < min_diversity
double | minMargin
| ignore too small margin

## Detailed Description

Maximal Stable Regions Parameters

## Member Data Documentation

double CvMSERParams::areaThreshold

the area threshold to cause re-initialize

int CvMSERParams::delta

delta, in the code, it compares (size_{i}-size_{i-delta})/size_{i-delta}

int CvMSERParams::edgeBlurSize

the aperture size for edge blur

int CvMSERParams::maxArea

prune the area which bigger than maxArea

int CvMSERParams::maxEvolution

for color image, the evolution steps

float CvMSERParams::maxVariation

prune the area have simliar size to its children

int CvMSERParams::minArea

prune the area which smaller than minArea

float CvMSERParams::minDiversity

trace back to cut off mser with diversity < min_diversity

double CvMSERParams::minMargin

ignore too small margin

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines